{% extends 'core.html' %}

{% block title %}Perfiles{% endblock %}

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %}
{% endblock %}

{% block content %}
{% if accounts %}
{% for account in accounts %}
<div class="container mt-5">
    <div class="row">
        <div class="col-12 col-sm-12 col-md-2 col-lg-2 col-xl-2">
            {% if account.profile_picture%}
            <img class="img-thumbnail" style="max-height:200px" src="{{account.profile_picture.url}}" />
            {% else %}
            <img class="img-thumbnail" style="max-height:200px" src="{% static 'users/img/profile-placeholder.gif' %}">
            {% endif %}
        </div>
        <div class="col-12 col-sm-12 col-md-10 col-lg-10 col-xl-10">
            <div class="row">
                <div class="col-12">
                    <h4><a class="btn btn-lg btn-outline-warning"
                            href="{{account.get_absolute_url}}">{{ account.first_name }} {{ account.last_name }} <small
                                class="text-muted">{{ account.username }}</small></a></h4>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <h6><em>Miembro desde: {{ account.date_joined.date }}</em></h6>
                </div>
            </div>
        </div>
    </div>
    <hr />
</div>
{% endfor %}
{% if accounts.has_other_pages %}
<ul class="pagination">
    {% if accounts.has_previous %}
    <li><a href="?page={{ accounts.previous_page_number }}">&laquo;</a></li>
    {% else %}
    <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in accounts.paginator.page_range %}
    {% if accounts.number == i %}
    <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
    {% else %}
    <li><a href="?page={{ i }}">{{ i }}</a></li>
    {% endif %}
    {% endfor %}
    {% if accounts.has_next %}
    <li><a href="?page={{ accounts.next_page_number }}">&raquo;</a></li>
    {% else %}
    <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
</ul>
{% endif %}
{% else %}
<div class="container">
    <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div class="card-body">
            <p class="lead">No se han encontrado perfiles con los parámetros ingresados. Vuelve a intentarlo con unos
                distintos!</p>
        </div>
    </div>
</div>
{% endif %}

{% endblock %}

{% block scriptfiles %}

{% endblock %}